<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/ll_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@id/card"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/v_fenge"
            android:layout_width="match_parent"
            android:layout_height="6dp"
            android:background="#EDF1F4" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="15dp"
            android:text="Today"
            android:textColor="@color/black"
            android:textSize="16sp"
            tools:ignore="HardcodedText" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_gravity="bottom"
            android:background="#E5E6EB" />

    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.cardview.widget.CardView
            android:id="@+id/card"
            android:layout_width="29dp"
            android:layout_height="29dp"
            android:layout_marginVertical="4dp"
            android:layout_marginStart="15dp"
            app:cardElevation="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_letters"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="G"
                android:textColor="@color/white"
                android:textSize="16sp"
                tools:background="#FA94ED"
                tools:ignore="ContentDescription,HardcodedText" />

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="5dp"
            android:layout_marginStart="16dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@id/card"
            app:layout_constraintEnd_toStartOf="@id/fl_opeartion"
            app:layout_constraintStart_toEndOf="@id/card"
            app:layout_constraintTop_toTopOf="@id/card">

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="My Favorite"
                android:textColor="#010101"
                android:textSize="18sp"
                tools:ignore="HardcodedText" />
        </LinearLayout>

        <FrameLayout
            android:id="@+id/fl_opeartion"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="8dp"
            android:background="?android:attr/selectableItemBackground"
            android:padding="8dp"
            app:layout_constraintBottom_toBottomOf="@id/card"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/card">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/geduo"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:layout_marginTop="15dp"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/ll"
            app:layout_constraintTop_toBottomOf="@id/ll" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>